Page MenuHomeFreeBSD

Unregister expired PHP 5.5
ClosedPublic

Authored by rene on Oct 20 2016, 8:51 PM.

Details

Summary

PHP 5.5 expired on 2016-10-20 and has been unsupported upstream since 2016-07-21.
Remove support for it from Mk/Uses/php.mk

Test Plan
  • patch Mk/Uses/php.mk
  • make index
  • dry run Tools/scripts/rmport -a (ignoring non-PHP55 ports), this should catch any ports still depending on the PHP55 ports. Nothing found outside of PHP55 ports themselves.
  • (manually) remove PHP55 ports as rmport does not catch most extension ports.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rene updated this revision to Diff 21557.Oct 20 2016, 8:51 PM
rene retitled this revision from to Unregister expired PHP 5.5.
rene updated this object.
rene edited the test plan for this revision. (Show Details)
rene added a reviewer: portmgr.
rene set the repository for this revision to rP FreeBSD ports repository.
mat accepted this revision.Oct 20 2016, 10:37 PM
mat added a reviewer: mat.
This revision is now accepted and ready to land.Oct 20 2016, 10:37 PM
This revision was automatically updated to reflect the committed changes.